
<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../conexao/index.php';

error_reporting(E_ALL);

$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 
/*Variaveis do Sistema*/
/*********************************************/
// echo $_SESSION['idUsuario']." - ".$_SESSION['nomeUsuario']."- ".$_SESSION['categoriaUsuario'];

$caixa = "Aberto";

  if (isset($_GET['id_artigo'])) {
  	$produto = $_GET['id_artigo'];
	$status = 'Aberto';

	$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '".$_SESSION['idUsuario']."'";
	$rsBox = mysqli_query($db, $sqlBox);
	if (mysqli_num_rows($rsBox) > 0) {
			$sql = "DELETE FROM filadeespera WHERE idfiladeespera = '$produto' AND usuariofiladeespera = '".$_SESSION['idUsuario']."'";
			$rs = mysqli_query($db, $sql);
	}else{
		echo "Ocorreu algum erro na consulta a base de dados";
	}
	}

	if (isset($_GET['apagar'])) {
			$sqlBox = "DELETE FROM filadeespera WHERE usuariofiladeespera = '".$_SESSION['idUsuario']."'";
			$rsBox = mysqli_query($db, $sqlBox);
			if ($rsBox > 0) {
				header("location: index.php");
			}
	}
?>

<!DOCTYPE html>
<html>
<head>
	<title>iVone</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">
	<link rel="shorcut icon"  href="../img/config/5087847.png">
	<link rel="stylesheet" type="text/css" href="../css/estiloPrincipal.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.min.css"> 
	<link rel="stylesheet" type="text/css" href="../css/select2.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.css">
	<script type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/select2.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.js"></script>

	
</head>
<body>
<div class="principal">
	<div class="esquerda">
		<div class="cabecalhoEsquerda">
			<h4 class="operador">Operador: <?php echo $_SESSION['nomeUsuario']; ?></h4>
			<p class="relogio">
				<?php 
					$data_hora = date("Y-m-d H:i:s");
					echo $data_hora;
				?>
			</p>
			<a id="openCaixa"><i class="fa fa-unlock" aria-hidden="true"></i> Abrir Caixa</a>
			<a id="closeCaixa"><i class="fa fa-lock" aria-hidden="true"></i> Fechar Caixa</a>
			
			<a style="margin-left: 5px;" href="index.php"><i class="fa fa-refresh" aria-hidden="true"></i></a>
		</div>
		<div class="conteudoEsquerda">
			<div class="formView">
				<div class="looks">
					<input type="text" id="looker" placeholder="Procurar artigos">
				</div>
				<div class="lista">
						<select class="id_categoria" onchange="location = this.value;">
							<option>Categorias</option>
								<?php 
									$sql = "SELECT * FROM categoria_produtos";
									$rs = mysqli_query($db, $sql);
									while ($dados = mysqli_fetch_array($rs)) {
								?>
								<option value="index.php?id_categoria=<?php echo $dados['id'] ?>"><?php echo $dados['categoria'] ?></option>
							<?php } ?>
					</select>
				</div>
			</div>
			<div class="produto">
				<?php 
					if (isset($_GET['id_categoria'])) {
						$idd = $_GET['id_categoria'];
						$sql = "SELECT * FROM produto WHERE id_catgeoria = '$idd'";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<div class="center produtoAdd diminuidor">
							<img src="../img/imageProduto/<?php echo $dados['img'] ?>">
							<span><?php echo $dados['stock'] ?></span>
							<span><?php echo $dados['preco'] ?></span>
							<p class="h"><?php echo $dados['nomeproduto'] ?></p>
						</div>
					<?php
						}
					}else{
						$sql = "SELECT * FROM produto";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<div class="center produtoAdd diminuidor">
							<img src="../img/imageProduto/<?php echo $dados['img'] ?>">
							<span><?php echo $dados['stock'] ?></span>
							<span><?php echo $dados['preco'] ?></span>
							<p class="h"><?php echo $dados['nomeproduto'] ?></p>
						</div>
			<?php }} ?>
			</div>
			<!-- <div class="down">
				<div class="doc">
					<select class="id_categoria" onchange="location = this.value;">
							<option>Categorias</option>
								<?php 
									$sql = "SELECT * FROM categoria_produtos";
									$rs = mysqli_query($db, $sql);
									while ($dados = mysqli_fetch_array($rs)) {
								?>
								<option value="index.php?id_categoria=<?php echo $dados['id'] ?>"><?php echo $dados['categoria'] ?></option>
							<?php } ?>
					</select>
				</div>
			</div> -->
		</div>
	</div>
	<div class="direita">
		<div class="cabecalhoDireita">
			<a class="fecharSistema"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Sair</a>
			<a href="dash.php" style="margin-left: 10px;"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Dashboard</a>
			<h3 class="vnd">#Venda: 
				<?php 
					$sql = "SELECT MAX(idpedido) as idp FROM pedido";
					$rs = mysqli_query($db, $sql);
					while ($dados = mysqli_fetch_array($rs)) {
						$v = $dados['idp'] + 1;
				?>
					<?php echo $v; ?>
				<?php } ?>
			</h3>
		</div>
		<div class="conteudoDireita">
			<form>
					<select class="vendas">
							<option>Vendas Recentes</option>
							<?php 
								$sql = "SELECT * FROM pedido ORDER BY idpedido DESC LIMIT 8";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<option value="<?php echo $dados['descpedido']; ?>"><?php echo $dados['descpedido']; ?></option>
							<?php } ?>
					</select>
					<!-- <a style="color: #fff;padding: 5px 7px;background-color: #68DD62;border-radius: 5px;margin-top: 5px;"><i class="fa fa-plus-square" aria-hidden="true"></i></a> -->
			</form>
			<form>
					<input type="text" id="codebar" placeholder="Ler código de barras ou inserir o código QR e pressionar enter" autofocus>
			</form>
			<div class="tbl">
					<table>
				<thead>
					<th>#</th>
					<th>Descricao</th>
					<th>Qtd</th>
					<th>Preco</th>
					<th>Total</th>
					<th style="color: #EB7D08;"><a><i class="fa fa-window-close" aria-hidden="true"></i></a></th>
				</thead>
				<tbody class="tbody">
					<?php
						$status = 'Aberto';

						$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND USUARIO = '".$_SESSION['idUsuario']."'";
						$rsBox = mysqli_query($db, $sqlBox);
							if (mysqli_num_rows($rsBox) > 0) {
								$sqlll = "SELECT idfiladeespera,produtofiladeespera, qtdfiladeespera, precofiladeespera, totalfiladeespera FROM filadeespera WHERE usuariofiladeespera = '".$_SESSION['idUsuario']."'";
								$rsss = mysqli_query($db, $sqlll);
								while ($dadosss = mysqli_fetch_array($rsss)) {
									$produto = $dadosss['produtofiladeespera'];
									$qtd = $dadosss['qtdfiladeespera'];
									$preco = $dadosss['precofiladeespera'];
									$total = $dadosss['totalfiladeespera'];
									?>
									<tr>
										<td><?php echo $dadosss['idfiladeespera']; ?></td>
												       <td class="left desc"><span><?php echo $produto; ?></span></td>
												       <td class="editavel"><?php echo $qtd; ?></td>
														<td><?php echo "".number_format($preco,2,".",","); ?></td>
														<td><?php echo "".number_format($total,2,".",","); ?></td>
												       <td ><a href="?id_artigo=<?php echo $dadosss['idfiladeespera']; ?>" style="color: #EB7D08;"><i class="fa fa-window-close" aria-hidden="true"></i></a></td>
												   </tr>
									<?php
										}
									}else{
										echo "<tr><td colspan='5'>O caixa encontra-se fechado neste momento, abra o caixa se pretende efetuar alguma venda!</td><tr>";
									}
								?>
				</tbody>
			</table>
			</div>
			
			<input type="hidden" id="prdto">
		</div>
		
		<div class="rodapeDireita">
			<div class="div1">
				<div class="left">
						<p style="color: #fff;">Total de itens: 
							<?php 
								$sql = "SELECT count(idfiladeespera) as tot FROM filadeespera WHERE usuariofiladeespera = '".$_SESSION['idUsuario']."'";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<span class="itens">
										<?php echo $dados['tot']; ?>
								</span>
							<?php } ?>
						</p>
						<h2 style="color: #fff;">
							Total: <span id="totl" ></span> Mt
						</h2>
				</div>
				<div class="right">
					<p style="color: #fff;">Disconto</p>
					<input type="number" id="disconto" step="0.01" placeholder="0.00" min="0">
				</div>
			</div>
			<div class="div2">
					<a href="?apagar=true"><i class="fa fa-lock" aria-hidden="true"></i> Cancelar</a>
					<a class="pagamentoFactura"><i class="fa fa-lock" aria-hidden="true"></i> Pagamento</a>
			</div>
		</div>
	</div>
</div>
<!--ELEMENTOS FLUTUANTES -->
<div class="floatElements">
	<div class="flts">
		<div class="aberturaCaixa todos">
			<div class="header">
				<h4>Abertura do Caixa</h4>
			</div>
			<div class="fild">
				<div class="form-group">
	                <label>Valor</label>
	                <input class="form-control" type="number" id="semana" step="0.01" min="0.00">
	            </div>
				<div class="form-group">
						<input type="hidden" id="statusPeriodo" value="Aberto">
	      </div>
			</div>
			<span class="btn save">
				<a class="fecharPedido">Fechar</a>
				<a id="salvarAbertura">Abrir</a>
			</span>
			<p id="message"></p>
		</div>
	</div>
	<div class="fltss">
		<div class="fechoCaixa todos">
		<div class="header">
			<h4>Fecho do Caixa</h4>
			
		</div>
		<div class="fild">
				<div class="inf">
					
				</div>
				<div class="form-group">
					<input type="hidden" id="statusPeriodoF" value="Fechado">
	      </div>
		</div>
		<span class="btn save">
			<a class="fecharPedido">Cancelar</a>
			<a id="salvarFecho">Fechar</a>
		</span>
		<p id="messageFecho"></p>
	</div>
	</div>
	
	<div class="floten">
		<div class="qtdProduto todos">
			<div class="header">
				<h4>Produto</h4>
			</div>
			<div class="qtdDiv">
				<p class="prodt"><span id="prod"></span></p>
				<input type="hidden" id="produto">
				<label><input type="number" id="qtd" placeholder="Qtd" autofocus="" min="1"></label>
				<p id="messageQtd"></p>
			</div>
			<div class="btclose">
				<a class="fecharPedido">Fechar</a>
			</div>
		</div>
	</div>
	<div class="flot">
		<div id="pagamentoFactura" class="todos">
		<div class="header">
			<h4>Confirmacao do pedido</h4>
		</div>
		<div class="grp1">
			<div class="first">
				<div class="form">
					<p><span>Consumidor</span></p>
					<p class="ps">

						<select id="search" style="width: 95%;padding: 15px 25px;">
							<option>Selecione o consumidor</option>
							<?php 
								$sql = "SELECT * FROM clientes";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<option value="<?php echo $dados['id']; ?>"><?php echo $dados['nome']." ".$dados['apelido']; ?></option>
							<?php
								}
							?>
						</select>
					</p>
				</div>
				<div class="form">
					<p><span>Modo de Pagamento</span></p>
					<p class="ps">
						<select id="modo" style="width: 95%;padding: 15px 25px;">
							<option value="Cheque">Cheque</option>
							<option value="Numerario" selected="">Numerario</option>
							<option value="Outros">Outros</option>
						</select>
					</p>
				</div>
				<div class="auto">
				</div>
				<div class="form">
					<p><span>Valor pago</span></p>
					<p><input type="number" id="valorPago" placeholder="Valor" step="0.01" min="1"></p>
				</div>
			</div>
			<div class="second">
				<div class="img">
					<img src="../img/config/5087847.png">
				</div>
				<div class="form">
					<p><span>Total a pagar</span></p>
					<p class="valorP"></p>
				</div>
			</div>
			
		</div>

		<div class="grp2">
			<div class="info">
			
			</div>
		</div>
		<div class="gr3">
			<div class="btclose">
				<a class="fecharPedido">Fechar</a>
			</div>
		</div>
	</div>
	</div>
	<div class="flun">
		<div class="ferramentas">
			<div class="header">
				<h4>Ferramentas</h4>
			</div>
			<div class="menu">
				<a id="devolucao">
					<img src="../img/garantia-de-devolucao-de-dinheiro.png">
					<span>Nota de devolução</span>
				</a>
				<a>
					<img src="../img/iconfinder_system-users_118828.png">
					<span>Clientes</span>
				</a>
				<a>
					<img src="../img/8168605_settings_system_tools_preferences_icon.png">
					<span>Configurações</span>
				</a>
			</div>
			<div class="conteudo">
			</div>
			<div class="footer">
				<a class="fecharPedido">Fechar</a>
			</div>
		</div>
	</div>
<div class="fatura">
	<div class="header">
		<p>iVone, Lda</p>
		<p>Bairro Chingodzi</p>
		<p>848848624</p>
		<p>NUIT: 143294277</p>
	</div>
	<div class="fact">
		<p><span>Recibo</span><span class="pd"></span></p>
	</div>
	<div class="body">
		<p class="p"><span>Documento Original</span><span><?php echo $data_hora; ?></span></p>
	</div>
	<table class="prodFactura">
		<thead class="titulo">
			<th>Cod</th>
			<th>Descricao</th>
			<th>Qtd</th>
			<th>Preco</th>
			<th>Total</th>
		</thead>
		<tbody>
			
		</tbody>
	</table>
	
	<div class="totall">
		
	</div>
	<div class="processo">
		<p>iVone - Processado por programa</p>
		<p style="margin: 10px 0px;">Operador: <?php echo $_SESSION['nomeUsuario']; ?></p>
		<p>NB: Verifique o recibo e os produtos antes de abandonar o estabelecimento.</p>
		<p>Obrigado pela sua preferencia!</p>
	</div>
</div>
<div class="fechoDeCaixa">
	<span class="btn">
		<a id="fecharOCaixa"><img src="../img/config/android-close.png" alt="Fechar" title="Fechar"></a>
	</span>
</div>
<style type="text/css">
	.rel form div{
		margin: 20px;
	}
	.rel button{
		margin-left: 20px;
		background-color: #EB7D08;
		color: #fff;
		border:none;
		padding: 5px 15px;
	}
	.fecharRel{
		cursor: pointer;
	}
</style>
<div class="rel">
	<div class="header">
			<h2>Relatorio de Vendas</h2>
			<a class="fecharRel">X</a>
		</div>
	<form action="../relatorios/" method="GET">
		<div>
			<span>Data Inicial</span>
			<input type="date" name="data_inicio" placeholder="yyyy-mm-dd">
			<span>Hora Inicial</span>
			<input type="time" name="hora_inicio" placeholder="h:m:s">
		</div>
		<div>
			<span>Data Final</span>
			<input type="date" name="data_final" placeholder="yyyy-mm-dd">
			<span>Hora Final</span>
			<input type="time" name="hora_final" placeholder="h:m:s">
		</div>
		
		<br>
		<button type="submit">Procurar</button>
	</form>
</div>
</div>
	<script type="text/javascript" src="../js/funcoes.js"></script>
	<script type="text/javascript" src="../js/configuracoes.js"></script>
	<script type="text/javascript">
		$(function() {
			$('.vendas').select2();
			$('.id_categoria').select2();
			$('.pedidos').select2();
			$('.clientes').select2();
			$('.usuario').select2();
    	contentEditable();
		function contentEditable() {
				$("table tbody tr td.editavel").on('dblclick', function() {
				if ($('td > input').length > 0) {
					return;
				}
				var conteudoOriginal = $(this).text();
				var novoElemento = $('<input/>', {type: 'text', value:conteudoOriginal});
				$(this).html(novoElemento.bind('blur keydown', function(e) {
					var keyCode = e.which;
					var conteudoNovo = $(this).val();
					if (keyCode == 13 && conteudoNovo != "" && conteudoNovo != conteudoOriginal) {
						var objecto = $(this);
						$.ajax({
							url: 'atualizarQtd.php',
							type: 'POST',
							data: {
								id: $(this).parents('tr').children().first().text(),
								valor: conteudoNovo 
							},
							success: function(data) {
								if (data == 2) {
									alert('A quantidade informada é superior ao stock do produto.');
									objecto.parent().html(conteudoOriginal);
									location.reload();
								}else{
									objecto.parent().html(conteudoNovo);
									location.reload();
								}
								
							}
						});
					}
					if (e.type == "blur" || keyCode == 27) {
						$(this).parent().html(conteudoOriginal);
						
					}

				}));
				$(this).children().select();
			});
			}

			$("#codebar").on('change', function(){
					$.ajax({
						url: '../dao/produtoAdd/produtoAdd2.php',
						type: 'POST',
						data: {
							artigo: $(this).val()
						},
						success: function(data) {
							if (data == 2) {
								alert('A quantidade informada é superior ao stock do produto.');
							}
							location.reload();
						},
						error: function() {
							alert("Ocorreu um erro ao inserir o artigo pelo codigo de barras!");
						}
				});
			});
			$(".vendas").on('change', function() {
					$.ajax({
						url: 'popularVendas.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".tbody").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
					$.ajax({
						url: 'popularTotItens.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".itens").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
			});

			$("#looker").on('input', function(){
					$.ajax({
						url: 'popularArtigos.php',
						type: 'GET',
						data: {
							valor: $(this).val()
						},
						success: function(data) {
							$(".produto").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular os artigos!");
						}
				});
			});
			
			/* Get the documentElement (<html>) to display the page in fullscreen */
			var elem = document.documentElement;

			/* View in fullscreen */
			function openFullscreen() {
			  if (elem.requestFullscreen) {
			    elem.requestFullscreen();
			  } else if (elem.webkitRequestFullscreen) { /* Safari */
			    elem.webkitRequestFullscreen();
			  } else if (elem.msRequestFullscreen) { /* IE11 */
			    elem.msRequestFullscreen();
			  }
			}

			/* Close fullscreen */
			function closeFullscreen() {
			  if (document.exitFullscreen) {
			    document.exitFullscreen();
			  } else if (document.webkitExitFullscreen) { /* Safari */
			    document.webkitExitFullscreen();
			  } else if (document.msExitFullscreen) { /* IE11 */
			    document.msExitFullscreen();
			  }
			}

			setInterval(lg, 1000);

			function lg(){
				$.ajax({
						url: 'relogio.php',
						type: 'GET',
						success: function(data) {
							$(".relogio").html(data);
						},
						error: function() {
							$(".relogio").html("Ocorreu um erro ao popular a hora!");
						}
				});
			}

			$(".btn_search").on('click', function() {
				$.ajax({
						url: 'procurar_dev.php',
						type: 'GET',
						data: {
							pedidos: $(".pedidos").val(),
							clientes: $(".clientes").val(),
							usuario: $(".usuario").val()
						},
						success: function(data) {
							$(".table_dev").html(data);
						},
						error: function() {
							$(".table_dev").html("<tr><td colspan='5'>Ocorreu um erro ao popular os artigos!</td></tr>");
						}
				});
			});
			$(".btn_back").on('click', function() {
				$.ajax({
						url: 'criar_devolucao.php',
						type: 'POST',
						data: {
							pedidos: $(".pedidos").val(),
							clientes: $(".clientes").val(),
							usuario: $(".usuario").val()
						},
						success: function(data) {
								$(".id_devolucao").val(data);
						},
						error: function() {
							alert("Erro ao atribuir o id do caixa!");
						}
				});
			});
		});
	</script>
</body>
</html>